Package org.apache.commons.math3.optim.nonlinear.scalar

# Enum GoalType

java.lang.Object
java.lang.Enum<GoalType>
org.apache.commons.math3.optim.nonlinear.scalar.GoalType

All Implemented Interfaces:
  `Serializable`, `Comparable<GoalType>`, `java.lang.constant.Constable`, `OptimizationData`

public enum GoalType extends Enum<GoalType> implements OptimizationData
Goal type for an optimization problem (minimization or maximization of a scalar function.

Since:
  2.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MAXIMIZE`
Maximization.
`MINIMIZE`
Minimization.

## Method Summary

Modifier and Type
Method
Description
`static GoalType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static GoalType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MAXIMIZE

public static final GoalType MAXIMIZE
Maximization.

### MINIMIZE

public static final GoalType MINIMIZE
Minimization.

## Method Details

### values

public static GoalType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static GoalType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null